# Get user IDs by social ID and platform

The call will return:
* user ID if the user has linked the main account.
* user ID if the user has linked the platform account.
* xl_uid=null if the user does not have a linked account.



{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for server-side methods are applied to this method.
{% /html %}

Endpoint: POST /users/linking_info
Version: v1
Security: Server

## Request fields (application/json):

  - `project_id` (string)
    Login ID from Publisher Account.

  - `publisher_project_id` (integer)
    Project ID from Publisher Account which you make a request for.

If you specify it, but do not specify project_id parameter, service will be found linked to its project_id. Contact your Customer Success Manager to link project_id to publisher_project_id.
    Example: 12423354

  - `users` (array, required)
    Social ID and platform for which it is needed to get user ID.
    Example: [{"platform":"xbox","user_id":4352354}]

  - `users.platform` (string, required)
    Name of chosen Social Provider. Can be steam, xbox, epicgames, psn.

  - `users.user_id` (string, required)
    User ID from Social Provider.

## Response 200 fields (application/json):

  - `email` (string,null)
    User email address.

  - `external_account_id` (string,null)
    User ID from your game. Used as an external ID by which users will be linked.

  - `platform` (string, required)
    Name of chosen Social Provider. Can be steam, xbox, epicgames, psn.

  - `user_id` (string, required)
    User ID from Social Provider.

  - `xl_uid` (string,null, required)
    The Xsolla Login user ID. You can find it in Publisher Account > Login settings > Users > Username/ID.

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 429 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


